Updates the user_planning_slot with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
user_planning_slot| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| user_id |
Foreign key to user. |
globally unique identifier |
Required |
| user_planning_slot_type_id |
Foreign key to user planning slot type id. |
globally unique identifier |
Required |
| date_from |
Date from, |
date | |
| date_to |
Date to, |
date | |
| description |
Description of user planning slot. |
string | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating. |
date |
Request Formats :
application/json, text/json
Sample:
{
"id": "f74f690b-a221-42df-8734-3de62c40ee7e",
"user_id": "4fa5e2e4-9ed6-4278-8e3f-49c3adba1798",
"user_planning_slot_type_id": "1f98d0d5-2a9c-453f-b885-c0e30228b65f",
"date_from": "2026-11-21T05:51:55.4787696+00:00",
"date_to": "2026-11-21T05:51:55.4787696+00:00",
"description": "sample string 6",
"modified_dateutc": "2026-11-21T05:51:55.4787696+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample:
Sample not available.